import { server } from "@/utils/server";

export interface EntityGameListRep {
    /**
     * 游戏ICON
     */
    game_icon: string;
    /**
     * 游戏ID
     */
    game_id: string;
    /**
     * 游戏名称
     */
    game_name: string;
    /**
     * 游戏名称中文
     */
    game_name_cn: string;
    /**
     * 游戏类型
     */
    game_type: string;
    /**
     * id
     */
    id: number;
    /**
     * 厂商名字 besoft 等等
     */
    provider: string;
    /**
     * 时间
     */
    release_date: string;
}

export interface GroupType {
    /**
     * 多语言名字
     */
    category_name?: string;
    /**
     * 游戏列表
     */
    game_list?: EntityGameListRep[];
    /**
     * 分类图标
     */
    icon?: string;
    /**
     * 每页展示多少条
     */
    line_config_amount?: number;
    /**
     * 每页条数
     */
    line_num?: number;
    /**
     * 特殊显示 特殊显示,1:开启,2:关闭
     */
    special_show?: string;
    /**
     * 展示风格 展示风格,1:横排,2:竖排,3:竖排-分类左边-连续,4:竖排-分类左边-拆开
     */
    style_type?: number;
    /**
     * 标签
     */
    tag?: string;
    /**
     * 当前分类的数量
     */
    to_tal?: number;
}

export const getGamesApi = () => {
    return server.post<GroupType[]>({
        url: "/v1/api/front/game_list",
    });
};
