import { EntityGameListRep } from "@/api/home";
import clsx from "clsx";
import { FC } from "react";
import Card, { CardProps } from "./Card";
export interface GroupProps extends CardProps {
    data?: EntityGameListRep[];
    col?: number;
    row?: number;
    gapX?: number;
}

const GroupCard: FC<GroupProps> = (props) => {
    const { col = 4, row = 2, gapX = 5, data, ...other } = props;
    const cls = clsx(
        "grid",
        `grid-cols-${col} grid-rows-${row} gap-y-4 gap-x-${gapX}  justify-between`
    );
    return (
        <div className={"flex flex-wrap justify-between gap-y-4"}>
            {data?.map((item, index) => <Card key={index} item={item} {...other} />)}
        </div>
    );
};

export default GroupCard;
