import Footer, { FooterProps } from "@/components/Footer";
import Header, { HeaderProps } from "@/components/Header";
import { FC, PropsWithChildren } from "react";
import styles from "./style.module.scss";
type Props = FooterProps & HeaderProps;
const Layout: FC<PropsWithChildren<Props>> = (props) => {
    const { children } = props;
    return (
        <div className="relative h-[100vh]">
            <Header {...props}></Header>
            <main className={styles.main}>{children}</main>
            <Footer {...props}></Footer>
        </div>
    );
};

export default Layout;
